## org.hibernate.service.internal
Class SessionFactoryServiceRegistryFactoryInitiator

    java.lang.Object
      org.hibernate.service.internal.SessionFactoryServiceRegistryFactoryInitiator

All Implemented Interfaces:
  BasicServiceInitiator<SessionFactoryServiceRegistryFactory>, ServiceInitiator<SessionFactoryServiceRegistryFactory>

    public class SessionFactoryServiceRegistryFactoryInitiator

extends Object
implements BasicServiceInitiator<SessionFactoryServiceRegistryFactory>

Field Summary
`static SessionFactoryServiceRegistryFactoryInitiator` `INSTANCE`

Constructor Summary
`SessionFactoryServiceRegistryFactoryInitiator()`

Method Summary
`Class<SessionFactoryServiceRegistryFactory>` `getServiceInitiated()` Obtains the service role initiated by this initiator.
`SessionFactoryServiceRegistryFactoryImpl` `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SessionFactoryServiceRegistryFactoryInitiator INSTANCE

Constructor Detail

### SessionFactoryServiceRegistryFactoryInitiator

    public SessionFactoryServiceRegistryFactoryInitiator()

Method Detail

### getServiceInitiated

    public Class<SessionFactoryServiceRegistryFactory> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<SessionFactoryServiceRegistryFactory>`
  Returns:
    The service role.

### initiateService

    public SessionFactoryServiceRegistryFactoryImpl initiateService(Map configurationValues,
                                                                    ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<SessionFactoryServiceRegistryFactory>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.